Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028117
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-11-06 19:122014-11-10 17:52
ReportercaristuView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q1
StatusclosedFix in branchFixed in SCM revisiond9ef82279509
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028117: MultipleDeleteActionHandler throws an exception when removing several rows of a datasource based window

DescriptionMultipleDeleteActionHandler throws an exception when removing several rows of a datasource based window.
Steps To Reproduce1) Create a datasource based window: http://wiki.openbravo.com/wiki/How_to_Create_a_Table_Based_on_a_User_Defined_Datasource [^]

2) Access to the window. Select several records and click on the delete button. The following error message appears in the screen: "Unknown entity: entity_name"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028119 closedAugustoMauch potential NPE in DataSourceServiceProvider 
related to design defect 0028118 newAugustoMauch different deletion flows having a single or multiple records selected 

-  Notes
(0071486)
hgbot (developer)
2014-11-07 10:11

Repository: erp/devel/pi
Changeset: d9ef82279509745a58bfea426bad6b996713f85f
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Nov 07 10:08:06 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d9ef82279509745a58bfea426bad6b996713f85f [^]

fixed 28117: can't delete multiple records at once in tabs based on cutom ds

  Multiple selection deletion doesn't delegete in datasource but it is executed
  by MultipleDeleteActionHandler, which is not able to delete from unknown DAL
  entitity.

  The fix makes an expcetion for this case delegating in the custom datasource.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/MultipleDeleteActionHandler.java
---
(0071487)
alostale (developer)
2014-11-07 10:12

Tested in the following scenarios:
-Multiple delete in standard window (ex. Sales Order)
-Multiple delete in a tree window (ex. Menu) from tree view and from grid view
-Multiple delete in a custom datasource based tab
(0071534)
AugustoMauch (developer)
2014-11-10 17:52

Code reviewed and verified in pi@d9ef82279509. Tested with this datasource [1], included in the Platform Features module.

[1] https://code.openbravo.com/erp/mods/org.openbravo.platform.features/rev/19ab5a0a0a73 [^]

- Issue History
Date Modified Username Field Change
2014-11-06 19:12 caristu New Issue
2014-11-06 19:12 caristu Assigned To => AugustoMauch
2014-11-06 19:12 caristu Modules => Core
2014-11-06 19:12 caristu Triggers an Emergency Pack => No
2014-11-06 19:13 caristu Issue Monitored: networkb
2014-11-06 19:19 caristu Steps to Reproduce Updated View Revisions
2014-11-07 09:20 alostale Relationship added related to 0028118
2014-11-07 09:20 alostale Assigned To AugustoMauch => alostale
2014-11-07 10:02 alostale Relationship added related to 0028119
2014-11-07 10:10 alostale Review Assigned To => AugustoMauch
2014-11-07 10:11 hgbot Checkin
2014-11-07 10:11 hgbot Note Added: 0071486
2014-11-07 10:11 hgbot Status new => resolved
2014-11-07 10:11 hgbot Resolution open => fixed
2014-11-07 10:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d9ef82279509745a58bfea426bad6b996713f85f [^]
2014-11-07 10:12 alostale Note Added: 0071487
2014-11-10 17:52 AugustoMauch Note Added: 0071534
2014-11-10 17:52 AugustoMauch Status resolved => closed
2014-11-10 17:52 AugustoMauch Fixed in Version => 3.0PR15Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker